ssh_crypto_struct Struct Reference
Collaboration diagram for ssh_crypto_struct:
[legend]

## Data Fields

bignum | shared_secret
struct dh_ctx * | dh_ctx
ssh_string | dh_server_signature
size_t | session_id_len
unsigned char * | session_id
size_t | digest_len
unsigned char * | secret_hash
unsigned char * | encryptIV
unsigned char * | decryptIV
unsigned char * | decryptkey
unsigned char * | encryptkey
unsigned char * | encryptMAC
unsigned char * | decryptMAC
unsigned char | hmacbuf [DIGEST_MAX_LEN]
struct ssh_cipher_struct * | in_cipher
struct ssh_cipher_struct * | out_cipher
enum ssh_hmac_e in_hmac | out_hmac
bool | in_hmac_etm
bool | out_hmac_etm
ssh_key | server_pubkey
int | do_compress_out
int | do_compress_in
int | delayed_compress_in
int | delayed_compress_out
void * | compress_out_ctx
void * | compress_in_ctx
struct ssh_kex_struct | server_kex
struct ssh_kex_struct | client_kex
char * | kex_methods [SSH_KEX_METHODS]
enum ssh_key_exchange_e | kex_type
enum ssh_kdf_digest | digest_type
enum ssh_crypto_direction_e | used

The documentation for this struct was generated from the following file:

- crypto.h